Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataFactoryUtils

Object
hdf.view.TableView.DataFactoryUtils

public class DataFactoryUtils extends Object
A class containing utility functions for the various DataXXXFactory classes, such as DataProviderFactory, DataDisplayConverterFactory and DataValidatorFactory.

Version:
  1.0 2/21/2019
Author:
  Jordan T. Henderson

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `CMPD_START_IDX_MAP_INDEX`
  `static int`
  `COL_TO_BASE_CLASS_MAP_INDEX`
  `static String`
  `errStr`
  `static String`
  `nullStr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataFactoryUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HashMap<Integer,​Integer>[]`
  `buildIndexMaps​(CompoundDataFormat dataFormat, List<Datatype> localSelectedTypes)`
  `static List<Datatype>`
  `filterNonSelectedMembers​(CompoundDataFormat dataFormat, Datatype compoundType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### errStr

    public static final String errStr
    See Also:
      Constant Field Values

  - ### nullStr

    public static final String nullStr
    See Also:
      Constant Field Values

  - ### COL_TO_BASE_CLASS_MAP_INDEX

    public static final int COL_TO_BASE_CLASS_MAP_INDEX
    See Also:
      Constant Field Values

  - ### CMPD_START_IDX_MAP_INDEX

    public static final int CMPD_START_IDX_MAP_INDEX
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DataFactoryUtils

    public DataFactoryUtils()

- ## Method Details

  - ### filterNonSelectedMembers

    public static List<Datatype> filterNonSelectedMembers​(CompoundDataFormat dataFormat, Datatype compoundType)

  - ### buildIndexMaps

    public static HashMap<Integer,​Integer>[] buildIndexMaps​(CompoundDataFormat dataFormat, List<Datatype> localSelectedTypes) throws Exception
    Throws:
      `Exception`